package com.ifish.entity;

import java.io.Serializable;
import java.util.Date;

/** 
 * @ClassName: shops_info
 * @date 2015年7月2日 下午16:40:00 
 *  
 */
public class ShopsInfo implements Serializable{
	
	private static final long serialVersionUID = 5256045896328402625L;
	//ID
	private Integer shopsId;
	//用户ID
	private Integer userId;
	//店家姓名
	private String userName;
	//店铺名称
	private String shopsName;
	//店家电话
	private String shopsPhone;
	//省
	private String shopsProvince;
	//市
	private String shopsCity;
	//区
	private String shopsArea;
	//店家地址
	private String shopsAddress;
	//身份证正面
	private String picture1;
	//身份证背面
	private String picture2;
	//营业执照
	private String picture3;
	//店铺招牌
	private String picture4;
	//审核状态
	private String status;
	//app显示
	private String appShow;
	//不通过原因
	private String reason;
	//修改时间
	private Date updateTime;
	//创建时间
	private Date createTime;
	//会员类型
	private String typeKey;
	//备注
	private String remark;
	//微信号
	private String weixinCode;
	//网店地址
	private String shopLink;
	
	public Integer getShopsId() {
		return shopsId;
	}
	public void setShopsId(Integer shopsId) {
		this.shopsId = shopsId;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getShopsName() {
		return shopsName;
	}
	public void setShopsName(String shopsName) {
		this.shopsName = shopsName;
	}
	public String getShopsPhone() {
		return shopsPhone;
	}
	public void setShopsPhone(String shopsPhone) {
		this.shopsPhone = shopsPhone;
	}
	public String getShopsAddress() {
		return shopsAddress;
	}
	public void setShopsAddress(String shopsAddress) {
		this.shopsAddress = shopsAddress;
	}
	public String getPicture1() {
		return picture1;
	}
	public void setPicture1(String picture1) {
		this.picture1 = picture1;
	}
	public String getPicture2() {
		return picture2;
	}
	public void setPicture2(String picture2) {
		this.picture2 = picture2;
	}
	public String getPicture3() {
		return picture3;
	}
	public void setPicture3(String picture3) {
		this.picture3 = picture3;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getShopsProvince() {
		return shopsProvince;
	}
	public void setShopsProvince(String shopsProvince) {
		this.shopsProvince = shopsProvince;
	}
	public String getShopsCity() {
		return shopsCity;
	}
	public void setShopsCity(String shopsCity) {
		this.shopsCity = shopsCity;
	}
	public String getShopsArea() {
		return shopsArea;
	}
	public void setShopsArea(String shopsArea) {
		this.shopsArea = shopsArea;
	}
	public String getReason() {
		return reason;
	}
	public void setReason(String reason) {
		this.reason = reason;
	}
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	public String getPicture4() {
		return picture4;
	}
	public void setPicture4(String picture4) {
		this.picture4 = picture4;
	}
	public String getTypeKey() {
		return typeKey;
	}
	public void setTypeKey(String typeKey) {
		this.typeKey = typeKey;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getAppShow() {
		return appShow;
	}
	public void setAppShow(String appShow) {
		this.appShow = appShow;
	}
	public String getWeixinCode() {
		return weixinCode;
	}
	public void setWeixinCode(String weixinCode) {
		this.weixinCode = weixinCode;
	}
	public String getShopLink() {
		return shopLink;
	}
	public void setShopLink(String shopLink) {
		this.shopLink = shopLink;
	}
	
}
